> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mellow.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user's vaults DeFi positions

> Retrieves detailed information about a user's positions across all integrated DeFi protocols,
including points earned, balances, and protocol-specific details.




## OpenAPI

````yaml GET /v1/defi/users/{user_address}
openapi: 3.0.0
info:
  title: Mellow Protocol API
  description: >
    API for Mellow Protocol's permissionless vaults and Liquid Restaking Token
    (LRT) system. 

    Mellow offers a series of vault smart contracts tailored to different risk
    profiles, managed by LRT curators.

    The system allows permissionless creation of modular LRTs and active
    liquidity management.
  version: 1.0.0
servers:
  - url: https://points.mellow.finance
    description: Production server
security: []
paths:
  /v1/defi/users/{user_address}:
    get:
      summary: Get user's vaults DeFi positions
      description: >
        Retrieves detailed information about a user's positions across all
        integrated DeFi protocols,

        including points earned, balances, and protocol-specific details.
      operationId: getUserDefiPositions
      parameters:
        - name: user_address
          in: path
          required: true
          description: Ethereum address of the user (must be a valid Ethereum address)
          schema:
            type: string
            pattern: ^0x[a-fA-F0-9]{40}$
          example: '0xDB611d682cb1ad72fcBACd944a8a6e2606a6d158'
      responses:
        '200':
          description: Successful response containing user's positions in DeFi protocols
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  required:
                    - chain_id
                    - vault_address
                    - defi_protocol_address
                    - user_mellow_points
                    - user_symbiotic_points
                    - user_referal_points
                    - user_vault_balance
                    - timestamp
                  properties:
                    chain_id:
                      type: integer
                      description: >-
                        The blockchain network ID where the protocol is
                        integrated
                    vault_address:
                      type: string
                      description: The address of the vault contract
                    defi_protocol_address:
                      type: string
                      description: The address of the DeFi protocol contract
                    user_mellow_points:
                      type: string
                      description: Points earned in the Mellow protocol
                    user_symbiotic_points:
                      type: string
                      description: Points earned in the Symbiotic protocol
                    user_referal_points:
                      type: string
                      description: Points earned through referrals
                    user_vault_balance:
                      type: string
                      description: User's balance in the vault in smallest units
                    timestamp:
                      type: integer
                      description: Unix timestamp of when the data was last updated
                    name:
                      type: string
                      description: Name of the protocol integration
                      nullable: true
                    protocol:
                      type: string
                      description: Protocol identifier (e.g., Uniswap v3, Pendle, Gearbox)
                      nullable: true
                    pool_id:
                      type: string
                      description: Unique identifier for the liquidity pool
                      nullable: true
                    url:
                      type: string
                      description: URL to the protocol's interface for this position
                      nullable: true
                    boost:
                      type: string
                      description: Boost multiplier for points earning
                      nullable: true
                example:
                  - chain_id: 1
                    vault_address: '0x4f3Cc6359364004b245ad5bE36E6ad4e805dC961'
                    defi_protocol_address: '0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9'
                    user_mellow_points: '94678.511'
                    user_symbiotic_points: '92911.0138859653'
                    user_referal_points: '0.0'
                    user_vault_balance: '0'
                    timestamp: 1737403835
                    name: urLRT / wstETH
                    protocol: Uniswap v3
                    pool_id: pool-uniswap-urlrt-wsteth
                    url: >-
                      https://app.uniswap.org/explore/pools/ethereum/0x104b3E3ACD2396a7292223B5778Ea1caCdB68ec9
                    boost: '3'
        '500':
          description: Internal server error
          content:
            text/plain:
              schema:
                type: string
                description: Internal server error message
                example: Internal server error

````